NODE_COUNT = 1

IMAGE = "ubuntu/bionic64"

Vagrant.configure("2") do |config|
  (1..NODE_COUNT).each do |i|
    config.vm.define "docker#{i}" do |docker|
      docker.vm.box = IMAGE
      docker.vm.hostname = "docker#{i}"
      docker.vm.network  :private_network, ip: "10.0.0.#{i+10}"
      docker.vm.provision "shell", privileged: true, reset: true, path: "scripts/docker-install.sh" #reset pour prendre en compte l'ajout du user vagrant dans le groupe docker
      docker.vm.provision "shell", privileged: false,  path: "scripts/go-install.sh"
      docker.vm.provision "file", source: "./scripts/kind-config.yaml", destination: "/tmp/kind-config.yaml"
      docker.vm.provision "shell", privileged: false,  path: "scripts/kind-install.sh"
      docker.vm.network "forwarded_port", guest: 6443, host: 6443
    end
  end
end